---
regenerate:             false
---
{% capture cache %}

{% comment %}
 # -----------------------------------------------------------------------------
 #  J1: ~/assets/themes/j1/j1/js/adapters/iframe_resizer.js
 #  Liquid JS template to create the J1 adapter for iFrameResizer
 #
 #  Product/Info:
 #  https://jekyll.one
 #  http://davidjbradshaw.github.io/iframe-resizer/
 #
 #  Copyright (C) 2016 Juergen Adams
 #  Copyright (C) 2013-15 David J. Bradshaw
 #
 #  J1 Template is licensed under the MIT License.
 #  For details, see https://jekyll.one
 #  iFrameResizer is licensed under under the MIT License.
 #  For details, see http://davidjbradshaw.github.io/iframe-resizer/
 #
 # -----------------------------------------------------------------------------
{% endcomment %}

/*
 # -----------------------------------------------------------------------------
 #  J1: ~/assets/themes/j1/j1/js/adapters/simple_jekyll_search.js
 #  J1 Adapter for iFrameResizer
 #
 #  Product/Info:
 #  https://jekyll.one
 #  http://davidjbradshaw.github.io/iframe-resizer/
 #
 #  Copyright (C) 2016 Juergen Adams
 #  Copyright (C) 2013-15 David J. Bradshaw
 #
 #  J1 Template is licensed under the MIT License.
 #  For details, see https://jekyll.one
 #  iFrameResizer is licensed under under the MIT License.
 #  For details, see http://davidjbradshaw.github.io/iframe-resizer/
 #
 # -----------------------------------------------------------------------------
 #  Adapter generated: {{site.time}}
 # -----------------------------------------------------------------------------
*/

{% if page.minHeight %}
   {% assign minHeight = page.minHeight %}
{% else %}
   {% assign minHeight = site.data.modules.j1_iframe_resizer.minHeight %}
{% endif %}

{% if page.log %}
   {% assign log = page.log %}
{% else %}
   {% assign log = site.data.modules.j1_iframe_resizer.log %}
{% endif %}

var iFrameResizer = function () {
  
  return {
    // Initialize
    init: function ( options ) {
      
      this.settings = $.extend({}, options);
      
      if (this.settings.minHeight === undefined) {
          this.settings.minHeight = {{minHeight}};
      }      

      if (this.settings.log === undefined) {
          this.settings.log = {{log}};
      } 
      
      iFrameResize({
        // Options
        log:                      this.settings.log,
        autoResize:               {{site.data.modules.j1_iframe_resizer.autoResize | json }},
        bodyBackground:           {{site.data.modules.j1_iframe_resizer.bodyBackground | json }},
        bodyMargin:               {{site.data.modules.j1_iframe_resizer.bodyMargin | json }},
        checkOrigin:              {{site.data.modules.j1_iframe_resizer.checkOrigin | json }},
        inPageLinks:              {{site.data.modules.j1_iframe_resizer.inPageLinks | json }},
        interval:                 {{site.data.modules.j1_iframe_resizer.interval | json }},
        heightCalculationMethod:  {{site.data.modules.j1_iframe_resizer.heightCalculationMethod | json }},
        maxHeight:                {{site.data.modules.j1_iframe_resizer.maxHeight | json }},
        minWidth:                 {{site.data.modules.j1_iframe_resizer.minWidth | json }},
        maxWidth:                 {{site.data.modules.j1_iframe_resizer.maxWidth}},
        minHeight:                this.settings.minHeight,
        resizeFrom:               {{site.data.modules.j1_iframe_resizer.resizeFrom | json }},
        scrolling:                {{site.data.modules.j1_iframe_resizer.scrolling | json }},
        sizeHeight:               {{site.data.modules.j1_iframe_resizer.sizeHeight | json }},
        sizeWidth:                {{site.data.modules.j1_iframe_resizer.sizeWidth | json }},
        tolerance:                {{site.data.modules.j1_iframe_resizer.tolerance | json }},
        widthCalculationMethod:   {{site.data.modules.j1_iframe_resizer.widthCalculationMethod | json }}
//      targetOrigin:             {{site.protocol}}://{{site.host}}:{{site.port}}',
      });
    } // end init
  }; // end return
}();

{% endcapture %}

{{ cache | strip_empty_lines }}
{% assign cache = nil %}